package com.iqser.red.service.persistence.service.v1.api.shared.model.analysislog.entitylog;

import java.util.ArrayList;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EntityLogChanges {

    private EntityLog entityLog;
    private List<EntityLogEntry> newEntityLogEntries = new ArrayList<>();
    private List<EntityLogEntry> updatedEntityLogEntries = new ArrayList<>();

    public boolean hasChanges() {
        return !newEntityLogEntries.isEmpty() || !updatedEntityLogEntries.isEmpty();
    }

}
